websocket-sharp : WebSocketSharp.Net Namespace

# HttpListenerContext Class

Documentation for this section has not yet been entered.

## Syntax

public sealed class HttpListenerContext

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Net
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from object.

## Public Properties

[read-only] | Request | HttpListenerRequest . Documentation for this section has not yet been entered.
[read-only] | Response | HttpListenerResponse . Documentation for this section has not yet been entered.
[read-only] | User | System.Security.Principal.IPrincipal . Documentation for this section has not yet been entered.

## Public Methods

AcceptWebSocket () : HttpListenerWebSocketContext

> Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### AcceptWebSocket Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerWebSocketContext AcceptWebSocket ()

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Request Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerRequest Request { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Response Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public HttpListenerResponse Response { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### User Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public System.Security.Principal.IPrincipal User { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Net
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581